CVE-2005-0766
CVSS5.0
发布时间 :2005-05-02 00:00:00
修订时间 :2010-08-21 00:26:59
NMCO    

[原文]Unknown vulnerability in the sFlow dissector in Ethereal 0.9.14 through 0.10.9 allows remote attackers to cause a denial of service (application crash).


[CNNVD]Ethereal IAPP模块远程缓冲区溢出漏洞(CNNVD-200505-440)

        Ethereal的IAPP处理模块中存在漏洞。网络报文中的长度值可能覆盖静态的缓冲区。漏洞位于dissect_pdus()函数中。长度值是通过2个guint8变量计算得出的,将第一个左移,然后加入第二个,因此这个值最高可到65535。随后的循环可能滥用这个长度来溢出静态缓冲区textbuffer[2000]。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:9866Unknown vulnerability in the sFlow dissector in Ethereal 0.9.14 through 0.10.9 allows remote attackers to cause a denial of service (applica...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0766
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0766
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-440
(官方数据源) CNNVD

- 其它链接及资源

http://www.ethereal.com/appnotes/enpa-sa-00018.html
(PATCH)  CONFIRM  http://www.ethereal.com/appnotes/enpa-sa-00018.html
http://www.gentoo.org/security/en/glsa/glsa-200503-16.xml
(UNKNOWN)  GENTOO  GLSA-200503-16
http://www.securityfocus.com/bid/12762
(UNKNOWN)  BID  12762
http://www.mandriva.com/security/advisories?name=MDKSA-2005:053
(UNKNOWN)  MANDRAKE  MDKSA-2005:053

- 漏洞信息

Ethereal IAPP模块远程缓冲区溢出漏洞
中危 资料不足
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        Ethereal的IAPP处理模块中存在漏洞。网络报文中的长度值可能覆盖静态的缓冲区。漏洞位于dissect_pdus()函数中。长度值是通过2个guint8变量计算得出的,将第一个左移,然后加入第二个,因此这个值最高可到65535。随后的循环可能滥用这个长度来溢出静态缓冲区textbuffer[2000]。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载Ethereal 0.10.10:
        http://www.ethereal.com/download.html

- 漏洞信息

14669
Ethereal sFlow Dissector Unspecified DoS
Denial of Service
Loss of Availability

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-03-11 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.10.10 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站